Gets all shipmentsget deprecatedhttps://tracking.hereapi.com/shipments/v4Gets all shipments of the project.Query ParamspageTokenstringA token from the previously returned response to retrieve the specified page.limitinteger1 to 100Defaults to 100The number of items to return per pagestatusstringenumFilter the results by shipment statuspendingongoingcompletedcancelledAllowed:pendingongoingcompletedcancelledstartedBeforedate-timeReturn only shipments that started before the specified timestampstartedAfterdate-timeReturn only shipments that started after the specified timestampendedBeforedate-timeReturn only shipments that ended before the specified timestampendedAfterdate-timeReturn only shipments that ended after the specified timestampnamestringFilter shipments by name. Matching is case-insensitive if wildcards are used, otherwise case-sensitive. The following wildcards can be used: '*' matches any number of any characters, '?' matches any single character.shipmentPlanIdstringReturn only shipments that have been instantiated from the specified shipmentPlanIdshipmentIdstringFilter shipments by shipmentId Matching is case-insensitive if wildcards are used, otherwise case-sensitive. The following wildcards can be used: '*' matches any number of any characters, '?' matches any single character.extOrderIdstringFilter shipments by extOrderId Matching is case-insensitive if wildcards are used, otherwise case-sensitive. The following wildcards can be used: '*' matches any number of any characters, '?' matches any single character.isSubShipmentbooleanReturns only shipments marked as subShipmentstruefalsecreatedBeforedate-timeReturn only shipments that have been created before specified timestampcreatedAfterdate-timeReturn only shipments that have been created after specified timestampsortstringarrayA parameter to specify field to sort by and order. The following format can be used: 'name:asc' sort by name in ascending order, 'shipmentId:desc' sort by shipmentId in descending order. Allowed fields to sort by: shipmentId, extOrderId, name, status, startedAt, createdAt, endedAt, providedEtd, providedEta, calculatedEtd, calculatedEta.projectIdstringlength between 1 and 50Project ID. Any HERE Tracking user must be a member of a Tracking project. The project ID can be implicitly resolved if the user calling the API is a member of a single project. If the user is a member of multiple projects, the projectId query parameter needs to be specified explicitly.HeadersX-Request-IduuidID used for correlating requests within HERE Tracking. Used for logging and error reporting. Must be a valid UUIDv4.Responses 200Response body contains an array of shipment objects, count indicates the number of returned items, limit indicates the requested maximum amount of records to be returned and pageToken is the next page token if available. 400Bad request The request object is in an incorrect format or has values that are invalid or out of range. If available, further error details are provided in the response body. 401Unauthorized The request did not provide correct authentication details 403Forbidden The account does not have the correct privilegesUpdated 2 months ago